%global appname org.gnome.Characters
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-characters
Version:	3.22.0
Release:	%mkrel 1
Summary:	Character map application for GNOME
# Files from gtk-js-app are licensed under 3-clause BSD.
# Other files are GPL 2.0 or later.
License:	BSD and GPLv2+
URL:		https://wiki.gnome.org/Design/Apps/CharacterMap
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

# This package uses GtkWidget template, which was added in Gjs 1.43.3.
BuildRequires:	gjs-devel >= 1.43.3
BuildRequires:	gtk3-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	gobject-introspection-devel
BuildRequires:	desktop-file-utils
Requires:	gjs >= 1.43.3

# This package contains libunistring modules from Gnulib.  If a recent
# enough version of libunistring is installed on the system, it will
# be used instead.  However, as of today, the libunistring package in
# F22 is older and we try to avoid unnecessary dependency.

# BuildRequires:	   libunistring-devel
Provides:	bundled(gnulib)

%description
Characters is a simple utility application to find and insert unusual
characters.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{appname}


%files -f %{appname}.lang
%doc NEWS README
%license COPYING COPYINGv2
%{_bindir}/%{name}
%{_datadir}/dbus-1/services/%{appname}.BackgroundService.service
%{_datadir}/appdata/%{appname}.appdata.xml
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/dbus-1/services/%{appname}.service
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/categories/characters*.svg
%{_datadir}/icons/hicolor/symbolic/apps/gnome-characters-symbolic.svg
%{_datadir}/%{appname}
%{_datadir}/gnome-shell/search-providers/%{appname}.search-provider.ini
%{_libdir}/%{appname}


%changelog
* Tue Sep 20 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054654
- new version 3.22.0
- new version 3.21.91.1

* Sun Apr 10 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 999972
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993776
- new version 3.20.0

* Sun Mar 13 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990138
- new version 3.19.92

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 960772
- new version 3.19.90

* Mon Dec 21 2015 tv <tv> 3.19.3-1.mga6
+ Revision: 912821
- new release

* Sun Nov 29 2015 neoclust <neoclust> 3.18.1-2.mga6
+ Revision: 906984
- Rebuild for ARM

* Sat Nov 28 2015 tv <tv> 3.18.1-1.mga6
+ Revision: 906868
- adjust file list

  + ovitters <ovitters>
    - new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882734
- new release

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-2.mga6
+ Revision: 871596
- rebuild to pick up gjs

* Mon Aug 31 2015 fwang <fwang> 3.17.91-1.mga6
+ Revision: 871468
- fix desktop file

  + ovitters <ovitters>
    - new version 3.17.91

* Sun Aug 30 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 871260
- fix group
- clean spec
- from fedora


* Fri Aug 21 2015 Matthias Clasen <mclasen@redhat.com> - 3.17.90-2
- Force-update the icon cache for the gnome theme. This is necessary
  because icons were moved from gnome to hicolor, and if we don't update
  the gnome icon cache, it hides the icons in lower hicolor theme.
  This is a one-shot fix, and should be removed in the next package
  update.

* Tue Aug 18 2015 Kalev Lember <klember@redhat.com> - 3.17.90-1
- Update to 3.17.90

* Wed Jul 29 2015 Daiki Ueno <dueno@redhat.com> - 3.17.4.1-1
- Update to 3.17.4.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 12 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.2-1
- Update to 3.16.2

* Tue Apr 14 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.1-1
- Update to 3.16.1

* Mon Mar 23 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.0-1
- Update to 3.16.0

* Tue Mar 17 2015 Daiki Ueno <dueno@redhat.com> - 3.15.92-1
- Initial packaging for Fedora
